html {
  zoom: 60%;
  font-family: system-ui;
}
body {
  display: grid;
  place-items: center;
  background-image: url("../images/20.jpg");
  -webkit-background-size: cover;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}
.login-wrapper {
  position: absolute;
  top: 50%;
  transform: translate(0, -50%);
  background-color: #00000066;
  padding: 20px;
  border-radius: 20px;
  -webkit-backdrop-filter: blur(4px);
  backdrop-filter: blur(4px);
  border: 2px solid rgb(77, 77, 77);
  box-shadow: 0px 0px 10px 5px #000000;
  color: #ffffffd4;
  text-align: center;
  div {
    text-align: left;
    label {
      min-width: 100%;
      margin-bottom: 20px;
      input:not([type="checkbox"]) {
        min-width: calc(100% - 8px);
        padding: 4px;
        border-radius: 10px;
      }
      input[type="checkbox"] {
        margin-top: 20px;
        margin-bottom: 20px;
      }
    }
  }
  a {
    color: #56ff00cf;
  }
  input[type="submit"] {
    color: white;
    background-color: black;
    cursor: pointer;
    border-radius: 10px;
    padding: 5px;
    width: 200px;
  }
}
.inputhold {
  padding: 20px;
  display: grid;
  gap: 20px;
  grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
}
.gridfit {
  width: calc(100% - 40px);
  max-width: 714px;
}
.maintain {
  background-color: #000000d9;
  -webkit-backdrop-filter: blur(2px);
  backdrop-filter: blur(2px);
  color: white;
  max-width: 600px;
  padding: 40px;
  box-shadow: 0px 0px 5px 2px gray;
  border-radius: 20px;
  place-self: center;
  display: grid;
  h1 {
    text-decoration: underline;
    text-align: center;
  }
  p {
    color: #9a9a9a;
    text-align: justify;
  }
  input{
    border-radius: 10px;
    padding: 6px;
    max-width: 200px;
    min-width: 150px;
    background-color: #efefefe6;
    place-self: center;
    cursor: pointer;
  }
  input:hover{
    color: white;
    background-color: #404040e6;
  }
}
.maintain::after{
  content: '';
    background-color: #222224cf;
  display: grid;
    position: absolute;
  min-width: 0%;
  min-height: 100%;
  z-index: -1;
  border-radius: 20px;
  transition: 1s;
  }
.maintain:hover::after{
  min-width: 100%;
}
#facilitySelection{
  background-color: #000000a1;
  position: absolute;
  top: 50%;
  transform: translate(0,-50%);
  display: grid;
  text-align: center;
  border-radius: 20px;
  padding: 20px;
  border: 1px solid #808080;
  box-shadow: 0px 0px 20px 8px #000000;
  min-width: 400px;
 h1, h2{
   color: #ffffffd6;
 }
  select{
    width: 100%;
    padding: 7px;
    background-color: #080808;
    color: white;
  }
  label{
    text-align: left;
    color: white;
    margin-bottom: 9px
  }
  input[type=submit], input[type=button]{
    color: white;
    background-color: #363636;
    padding: 10px;
    border-radius: 20px;
    cursor: pointer;
    margin-top: 20px;
  }
  input[value=Continue]{
    background-color: #26a60e8c;
  }
  input[value=Logout]{
    background-color: #ff00008c;
  }
}
.session{
  background-color: white;
  display: grid;
  height: 400px;
  width: 500px;
  padding: 50px;
}
tbody{
  white-space: nowrap;
  text-wrap: nowrap;
  text-align: center;
}
nav{
  -webkit-backdrop-filter: blur(5px);
  backdrop-filter: blur(5px);
  background-color: #00000091;
}
nav ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

nav li {
  display: inline-block;
  margin-right: 20px;
}

nav a {
  color: #14f100;
  text-decoration: none;
}
nav ul li a {
  color: #fff;
}
.ncpHeader {
  color: #fff;
  width: 100%;
  display: flex;
  text-align: center;
  justify-content: center;
  flex-direction: column;
  a {
    color: #ffffff;
    text-decoration: none;
    transition: 0.5s;
  }
}

.ncpHeader a:hover,
.ncpHeader a:active,
.ncpHeader a:focus {
  color: #898989;
  text-decoration: underline;
}
.username{
  font-size: 20px;
  margin: auto;
  color: #ffffffd4;
  font-weight: 1000;
  text-align: center;
  cursor: pointer;
}
.dashboard main{
  background-color: #000000a1;
  border-radius: 20px;
  -webkit-backdrop-filter: blur(5px);
  backdrop-filter: blur(5px);
  color: white;
  text-align: center;
  min-width: calc(100% - 20px);
  max-width: calc(100% - 20px);
  top: 100px;
  position: absolute;
  padding: 20px;
  .content{
    min-height: 100%;
    max-width: calc(100% - 20px);
    overflow: auto;
    margin: auto;
  }
}
*::-webkit-scrollbar{
    background-color: #ffffff1f;
    border-radius: 20px;
    height: 20px;
  }
*::-webkit-scrollbar-thumb{
    background-color: #f9f9f9b0;
    border-radius: 20px;
  }
*::-webkit-scrollbar-thumb:hover{
  background-color: #ffffff73;
  cursor: pointer;
}
*{
  column-span: 4;
}
#loader-bg{
  display: grid;
  position: absolute;
  place-content: center;
  -webkit-backdrop-filter: blur(5px);
  backdrop-filter: blur(5px);
  min-width: 100%;
  min-height: 100%;
  z-index: 999999;
  background-color: #000000;
  top: 50%;
  transform: translate(0,-50%);
  color: white;
  text-align: center;
  p{
    font-size: 1.2em
  }
}
.loader{
  height: 100px;
  width: 100px;
  border: 10px solid white;
  border-radius: 50%;
  border-bottom: 10px solid #000000d1;
  margin: auto;
  margin-bottom: 30px;
  animation: spinner 1.0s linear infinite;
}
@keyframes spinner{
  0%{
    transform: rotate(-360deg);
  }
}

/*Dialog*/
.modal-dialog1{
  display: grid;
  place-self: center;
  max-width: 100%;
  border-radius: 20px;
  background-color: #000000a3;
  overflow: hidden;
  border: 2px solid gray;
  -webkit-backdrop-filter: blur(5px);
  backdrop-filter: blur(5px);
  padding: 20px;
  text-align: justify;
  color: #ffffff;
  h5{
    text-align: center;
  }
  .modal-footer1{
    background-color: transparent;
    text-align: center;
    button{
      margin-top: 15px;
      margin-left: 10px;
    }
  }
}

.signup-wrapper{
  display: grid;
  position: absolute;
  margin-top: 20px;
  top: 50%;
  transform: translate(-0%, -50%);
  place-self: center;
  background-color: #00000066;
  padding: 20px;
  border-radius: 20px;
  -webkit-backdrop-filter: blur(4px);
  backdrop-filter: blur(4px);
  border: 2px solid rgb(77, 77, 77);
  box-shadow: 0px 0px 10px 5px #000000;
  color: #ffffffd4;
  text-align: center;
  width: calc(100% - 40px);
  max-width: 900px;
  overflow: hidden;
  div{
    grid-template-columns: repeat(auto-fit, minmax(250px,1fr));
    div {
      text-align: left;
      min-width: 100%;
      label {
        min-width: 100%;
        margin-bottom: 20px;
        input:not([type="checkbox"]) {
          min-width: calc(100% - 8px);
          padding: 4px;
          border-radius: 10px;
        }
      }
    }
        input[type="checkbox"] {
          margin-top: 20px;
          margin-bottom: 20px;
          margin: auto;
        }
      }
    }
  a {
    color: #56ff00cf;
  }
  input[type="submit"] {
    color: white;
    background-color: black;
    cursor: pointer;
    border-radius: 10px;
    padding: 5px;
    width: 200px;
    margin: auto;
  }
/*Emaial Verification CSS*/
.EmailVerificationWrapper{
  display: grid;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: #000000bd;
  color: white;
  padding: 20px;
  border-radius: 20px;
  text-align: center;
  -webkit-backdrop-filter: blur(5px);
  backdrop-filter: blur(5px);
  border: 2px solid gray;
  max-width: calc(550px);
  width: calc(100% - 20px);
  overflow: auto;
  div{
    margin-top: 10px;
  }
  p{
    text-align: justify;
  }
  input[type=text]{
    max-width: 100%;
    width: 100%;
    text-align: center;
    padding: 10px;
    border-radius: 10px;
    font-size: 40px;
    margin-bottom: 20px;
  }
  input{
    margin-top: 10px;
  }
}